Net Long/Short Position (v2)

This endpoint provides the historical net position data for futures, including the net_long_change and net_short_change values.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: Real time for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "data": [
    {
      "net_long_change": -50.11,
      "net_short_change": 0,
      "net_long_change_cum": -50.11, // Cumulative value
      "net_short_change_cum": 0, // Cumulative value
      "net_position_change_cum": -50.11, // Cumulative value
      "time": 1767272400000
    },
    {
      "net_long_change": 0,
      "net_short_change": -64.88,
      "net_long_change_cum": -50.11, // Cumulative value
      "net_short_change_cum": -64.88, // Cumulative value
      "net_position_change_cum": 14.77, // Cumulative value
      "time": 1767276000000
    }
  ]
}
Query Params
string
required
Defaults to Binance

Currently available for Binance exchange only.

string
required
Defaults to BTCUSDT

Trading pair (e.g., BTCUSDT). Retrieve supported pairs via the 'supported-exchange-pair' API.

string
required
Defaults to 4h

Time interval for data aggregation. Supported values: 1m, 3m, 5m, 15m, 30m, 1h, 4h, 6h, 8h, 12h, 1d, 1w

int32

Number of results per request. Default: 1000, Maximum: 1000

int64

Start timestamp in milliseconds (e.g., 1641522717000).

int64

End timestamp in milliseconds (e.g., 1641522717000).

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!